Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search
Class Scorer

    java.lang.Object
      org.apache.lucene.search.Scorer

public abstract class Scorer
extends Object

Expert: Implements scoring for a class of queries.

Constructor Summary
`protected` | `Scorer(Similarity similarity)` Constructs a Scorer.

Method Summary
`abstract int` | `doc()` Returns the current document number.
`abstract Explanation` | `explain(int doc)` Returns an explanation of the score for `doc`.
`Similarity` | `getSimilarity()` Returns the Similarity implementation used by this scorer.
`abstract boolean` | `next()` Advance to the next document matching the query.
`abstract float` | `score()` Returns the score of the current document.
`void` | `score(HitCollector hc)` Scores all documents and passes them to a collector.
`abstract boolean` | `skipTo(int target)` Skips to the first match beyond the current whose document number is greater than or equal to target.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Scorer

    protected Scorer(Similarity similarity)

  Constructs a Scorer.

Method Detail

### getSimilarity

    public Similarity getSimilarity()

  Returns the Similarity implementation used by this scorer.

### score

    public void score(HitCollector hc)
               throws IOException

  Scores all documents and passes them to a collector.

  Throws:
    `IOException`

### next

    public abstract boolean next()
                          throws IOException

  Advance to the next document matching the query. Returns true iff there is another match.

  Throws:
    `IOException`

### doc

    public abstract int doc()

  Returns the current document number. Initially invalid, until `next()` is called the first time.

### score

    public abstract float score()
                         throws IOException

  Returns the score of the current document. Initially invalid, until `next()` is called the first time.

  Throws:
    `IOException`

### skipTo

    public abstract boolean skipTo(int target)
                            throws IOException

  Skips to the first match beyond the current whose document number is greater than or equal to target.

  Returns true iff there is such a match.

  Behaves as if written:

         boolean skipTo(int target) {
           do {
             if (!next())
       	     return false;
           } while (target > doc());
           return true;
         }

  Most implementations are considerably more efficient than that.

  Throws:
    `IOException`

### explain

    public abstract Explanation explain(int doc)
                                 throws IOException

  Returns an explanation of the score for `doc`.

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.